Bug 220912 - [NEW PORT] www/restbed: Asynchronous RESTful functionality to C++11 applications
Summary: [NEW PORT] www/restbed: Asynchronous RESTful functionality to C++11 applications
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-07-21 20:13 UTC by Yuri Victorovich
Modified: 2018-03-07 04:36 UTC (History)
0 users

See Also:


Attachments
shar (4.11 KB, text/plain)
2017-07-21 20:13 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-07-21 20:13:10 UTC
Created attachment 184583 [details]
shar

QAs:
* Builds in poudriere
* Passes portlint

CAVEAT: Some testcases fail. (upstream bug: https://github.com/Corvusoft/restbed/issues/231)
Comment 1 Yuri Victorovich freebsd_committer 2018-01-13 22:41:34 UTC
Pending: upstream assumes IPv4/IPv6 mapping, which is a only a default in Linux and not in FreeBSD. I asked them to resolve this.
Comment 2 Yuri Victorovich freebsd_committer 2018-03-07 04:35:39 UTC
Committed.
Comment 3 commit-hook freebsd_committer 2018-03-07 04:36:05 UTC
A commit references this bug:

Author: yuri
Date: Wed Mar  7 04:35:33 UTC 2018
New revision: 463775
URL: https://svnweb.freebsd.org/changeset/ports/463775

Log:
  New port: www/restbed: Asynchronous RESTful functionality to C++11 applications

  PR:		220912
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/www/Makefile
  head/www/restbed/
  head/www/restbed/Makefile
  head/www/restbed/distinfo
  head/www/restbed/pkg-descr
  head/www/restbed/pkg-message
  head/www/restbed/pkg-plist